org.apache.lucene.codecs.simpletext

## Class SimpleTextCompoundFormat

- java.lang.Object
- - org.apache.lucene.codecs.CompoundFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextCompoundFormat

-     public class SimpleTextCompoundFormat
      extends CompoundFormat

  plain text compound format.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextCompoundFormat()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Directory` | `getCompoundReader(Directory dir, SegmentInfo si, IOContext context)`
    `void` | `write(Directory dir, SegmentInfo si, IOContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextCompoundFormat

          public SimpleTextCompoundFormat()

      Sole constructor.

  - ### Method Detail

    - #### getCompoundReader

          public Directory getCompoundReader(Directory dir,
                                             SegmentInfo si,
                                             IOContext context)
                                      throws IOException

      Specified by:
        `getCompoundReader` in class `CompoundFormat`
      Throws:
        `IOException`

    - #### write

          public void write(Directory dir,
                            SegmentInfo si,
                            IOContext context)
                     throws IOException

      Specified by:
        `write` in class `CompoundFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.